Error upgrading to V9.2-2

Having difficulties when installing the system? Your system runs slowly and requires some tweaking? You can get help here.
Post Reply

Topic author
goathunter
Contributor
Posts: 13
Joined: Mon Jun 24, 2019 7:21 am
Reputation: 0
Status: Offline

Error upgrading to V9.2-2

Post by goathunter » Fri Jan 26, 2024 8:21 am

I downloaded V9.2-2, connected the ISO, booted from it, and attempted to UPGRADE from V9.2-1 to V9.2-2. It got through asking the questions, but immediately displayed this:

Code: Select all

Execution phase starting ...

The following products will be installed to destinations:
    VSI X86VMS AVAIL_MAN_BASE V9.2-2       DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS DECNET_PHASE_IV V9.2-2      DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS DWMOTIF_SUPPORT V9.2-2      DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS OPENSSH V8.9-1G             DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS OPENVMS V9.2-2              DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS SSL111 V1.1-1W              DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS SSL3 V3.0-11                DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS VMS V9.2-2                  DISK$X86SYS:[VMS$COMMON.]
The following products will be removed from destinations:
    VSI X86VMS AVAIL_MAN_BASE V9.2-1       DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS DECNET_PHASE_IV V9.2-1      DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS DWMOTIF_SUPPORT V9.2-1      DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS OPENSSH V8.9-1F             DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS OPENVMS V9.2-1              DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS SSL111 V1.1-1T              DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS SSL3 V3.0-8                 DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS VMS V9.2-1                  DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS VMS921X_UPDATE V2.0         DISK$X86SYS:[VMS$COMMON.]
    VSI X86VMS VMS921X_UPDATE V1.0         DISK$X86SYS:[VMS$COMMON.]
 
Portion done: 0%
%CREATE-E-DIRNOTCRE, SYS$COMMON:[SYSUPD.SSH$SAFETY] directory file not created
-SYSTEM-F-ILLIOFUNC, illegal I/O function code
%PCSI-I-SPAWNEXE, error executing: @PCSI$DESTINATION:[OPENSSH.BIN]SSH$RUN_CLEANU
P_PROCEDURE.COM
 
%PCSI-E-EXERMVFAIL, product supplied EXECUTE REMOVE procedure failed
-CREATE-E-DIRNOTCRE, !AS directory file not created
%PCSI-E-OPFAILED, operation failed
Terminating is strongly recommended.  Do you want to terminate? [YES] 
%PCSI-E-CANCEL_WIP, termination resulted in an incomplete modification to the sy
stem
%PCSI-E-S_OPCAN, operation cancelled by request
I'm not sure how to proceed from here.
Last edited by goathunter on Fri Jan 26, 2024 8:23 am, edited 1 time in total.


spoofy
Contributor
Posts: 21
Joined: Fri Mar 31, 2023 6:02 pm
Reputation: 0
Location: Erlangen/Germany
Status: Offline

Re: Error upgrading to V9.2-2

Post by spoofy » Fri Jan 26, 2024 9:21 am

I don't know if it applied to your case, but during the upgrade from 9.2.1 to 9.2.2, it asked me to uninstall OpenSSH and start the upgrade again.


dgordon
VSI Expert
Active Contributor
Posts: 26
Joined: Tue May 09, 2023 7:57 am
Reputation: 0
Status: Offline

Re: Error upgrading to V9.2-2

Post by dgordon » Fri Jan 26, 2024 9:28 am

Yes, you still must remove OpenSSH before upgrading. You can do it from the installation menu, or do it from the original system disk before starting the upgrade.

This restriction is removed in the version of OpenSSH that is installed with V9.2-2.

Edited to add that this applies if the system to be upgraded is running OpenSSH V8.9-1F or earlier.

Added in 22 minutes 2 seconds:
For those of you playing along at home, it's documented at step 11 of section 3.2.2 of the V9.2-2 Installtion Guide at https://docs.vmssoftware.com/vsi-openvm ... lp_jsj_3xb
Last edited by dgordon on Fri Jan 26, 2024 9:30 am, edited 1 time in total.
Executive Vice President of InfoServer Engineering at VSI.


Topic author
goathunter
Contributor
Posts: 13
Joined: Mon Jun 24, 2019 7:21 am
Reputation: 0
Status: Offline

Re: Error upgrading to V9.2-2

Post by goathunter » Fri Jan 26, 2024 10:05 am

Thanks. I missed that, obviously, when I read the guide. I actually started to remove it, but the complaint that OPENVMS relied on it made me not try it.

Added in 2 hours 20 minutes 2 seconds:
Once I removed OpenSSH, the install worked without any problems.

Thanks, again.


sms
Master
Posts: 288
Joined: Fri Aug 21, 2020 5:18 pm
Reputation: 0
Status: Offline

Re: Error upgrading to V9.2-2

Post by sms » Sat Jan 27, 2024 12:07 am

Code: Select all

> [...] or do it from the original system disk before starting the
> upgrade.

   Initially, I had trouble with that step, but I might have been
connected using SSH at the time.  Which was not obvious from the (now
lost) messages.  Eventually, I got the old OPENSSH removed.  (Might be
safer and/or simpler to do it when booted from the V9.2-2 install disc,
so it's guaranteed not to be running.)

   I then had a different problem (all my fault):

   After the apparently successful upgrade, booting from DKA0 failed:

[...]
%MSCPLOAD-I-CONFIGSCAN, enabled automatic disk serving
%SYSINIT-I- waiting to form or join an OpenVMS Cluster#   ["#" = CR.]
%CNXMAN,  Sending VMScluster membership request to system V87#
%CNXMAN,  Now a VMScluster member -- system V90
%SYSINIT-E- unable to mount the system disk
%SYSINIT-E- error mounting system device
            status = 0072832C#


VSI Dump Kernel SYSBOOT Nov  9 2023 12:17:04
[c["v[62"p F>

**** OpenVMS x86_64 Operating System V9.2-2   - BUGCHECK ****

** Bugcheck code = 0000036C: PROCGONE, Process not in system
[...]

   I expected this to be some unfathomable VMware or UEFI quirk, but
then I looked at the first VMS status code:

ITS $ exit %x0072832C
%MOUNT-F-DIFVOLMNT, different volume already mounted on this device

   Naturally, I had changed the volume label on DKA0 during the upgrade,
and hadn't gotten it dismounted on all the cluster members.  After that
was done, all seems well.  (Except for the lingering MOP problem:
https://forum.vmssoftware.com/viewtopic.php?f=9&t=8764&p=19728)

   I'm sure that I've run into that wrong-disk-label-in-cluster problem
in the past, but so long ago that I'd forgotten all about it.  Sigh.

User avatar

imiller
Master
Posts: 122
Joined: Fri Jun 28, 2019 8:45 am
Reputation: 0
Location: South Tyneside, UK
Status: Offline
Contact:

Re: Error upgrading to V9.2-2

Post by imiller » Fri Feb 02, 2024 4:08 am

Having upgraded OpenSSH in advance to V8.9-1H the VMS upgrade to V9.2-2 went very smoothly.
Ian Miller
[ personal opinion only. usual disclaimers apply. Do not taunt happy fun ball ].

Post Reply